@mixin make-border-rounded($s) {
    #{$s}rounded-{
        &100pr{
            border-radius: 100%;
        }

        &t-100pr{
            border-top-left-radius: 100%;
            border-top-right-radius: 100%;
        }

        &r-100pr{
            border-top-right-radius: 100%;
            border-bottom-right-radius: 100%;
        }

        &b-100pr{
            border-bottom-left-radius: 100%;
            border-bottom-right-radius: 100%;
        }

        &l-100pr{
            border-top-left-radius: 100%;
            border-bottom-left-radius: 100%;
        }

        &t-r-100pr{
            border-top-right-radius: 100%;
        }

        &b-r-100pr{
            border-bottom-right-radius: 100%;
        }
        &b-l-100pr{
            border-bottom-left-radius: 100%;
        }

        &t-l-100pr{
            border-top-left-radius: 100%;
        }

        @for $i from 0 to 17{
            &#{2 * $i}{
                border-radius: #{2 * $i}px;
            }
        }

        @for $i from 0 to 17{
            &t-#{2 * $i}{
                border-top-left-radius: #{2 * $i}px;
                border-top-right-radius: #{2 * $i}px;
            }
            &r-#{2 * $i}{
                border-top-right-radius: #{2 * $i}px;
                border-bottom-right-radius: #{2 * $i}px;
            }
            &b-#{2 * $i}{
                border-bottom-left-radius: #{2 * $i}px;
                border-bottom-right-radius: #{2 * $i}px;
            }
            &l-#{2 * $i}{
                border-top-left-radius: #{2 * $i}px;
                border-bottom-left-radius: #{2 * $i}px;
            }
            &t-r-#{2 * $i}{
                border-top-right-radius: #{2 * $i}px;
            }
            &b-r-#{2 * $i}{
                border-bottom-right-radius: #{2 * $i}px;
            }
            &b-l-#{2 * $i}{
                border-bottom-left-radius: #{2 * $i}px;
            }
            &t-l-#{2 * $i}{
                border-top-left-radius: #{2 * $i}px;
            }
        }
    }
}